# Remove article parent

URL: https://docs.dixa.io/openapi/dixa-api/v1/knowledge/deleteknowledgearticlesarticleidparent

Remove a parent from a knowledge article

## DELETE /v1/knowledge/articles/{articleId}/parent

- Server: https://dev.dixa.io
- Auth: `Authorization: <API token>` header

### Request example

```bash
curl -X DELETE 'https://dev.dixa.io/v1/knowledge/articles/{articleId}/parent' \
  -H 'Authorization: <API token>'
```

### Response examples

#### 204

No body.

#### 400

```json
{
  "message": "Decoding failure in request"
}
```

#### 404 An entity in this request could not be found

```json
{
  "message": "The requested resource could not be found"
}
```

#### 500 Internal failure during request processing

```json
{
  "message": "There was an internal server error while processing the request"
}
```

## OpenAPI definition

The operation and the schemas used, from the full spec at https://docs.dixa.io/openapi-specs/dixa-v1.yaml. Request and response examples are above.

```yaml
openapi: 3.0.3
info:
  title: Dixa API
  version: v1
servers:
  - url: https://dev.dixa.io
security:
  - ApiKeyAuth: []
paths:
  /v1/knowledge/articles/{articleId}/parent:
    delete:
      tags:
        - Knowledge
      summary: Remove article parent
      description: Remove a parent from a knowledge article
      operationId: deleteKnowledgeArticlesArticleidParent
      parameters:
        - name: articleId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        "204":
          description: ""
        "400":
          description: ""
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/BadRequest"
        "404":
          description: An entity in this request could not be found
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/NotFound"
        "500":
          description: Internal failure during request processing
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ServerError"
      security:
        - ApiKeyAuth:
            - knowledge.content:w
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      name: Authorization
      in: header
  schemas:
    BadRequest:
      title: BadRequest
      type: object
      required:
        - message
      properties:
        message:
          type: string
    NotFound:
      title: NotFound
      type: object
      required:
        - message
      properties:
        message:
          type: string
    ServerError:
      title: ServerError
      type: object
      required:
        - message
      properties:
        message:
          type: string
```
